
declare class TopJsEvents {
    
    /**
     * 绑定事件
     * @param iEventName : 事件名称
     * @param iCallback : 事件回调函数
     * @param iThisObject : 回调函数的this对象
     */
    on(iEventName:string, iCallback:(...args)=>any, iThisObject:any):void
    
    /**
     * 清除指定事件的所有回调;
     * @param iEventName : 事件名称
     */
    clearEvent(iEventName):void

    /**
     * 触发一个事件
     * @param iEventName : 事件名称
     * @param args : 事件参数;
     */
    emit(iEventName, ...args):void
}

export = TopJsEvents;


